Preview: these APIs are still being designed and aren't available yet.
Skip to Content
UpskyDocs
API reference

Get a file

Returns a file with a short-lived download link.

GET
/storage/files/{id}

Returns a file with a short-lived download link.

Authorization

apiKey
headerAuthorizationBearer <token>

Path Parameters

id*string

Response Body

The file.

application/json
  1. response
id*string
name*string
content_type*string
size*integer
status*string
Value in"pending""uploaded"
download_url*string
Formaturi
Example Request
curl -X GET 'https://api.upsky.dev/v1/storage/files/string'
Example Response
{  "id": "string",  "name": "string",  "content_type": "string",  "size": 0,  "status": "pending",  "download_url": "http://example.com"}